apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  annotations:
    che.eclipse.org/che-editor: che-incubator/che-code/latest
    che.eclipse.org/devfile-source: |
      factory:
        params: >-
          devWorkspace=https://devspaces.apps.ds-airgap-v12.crw-qe.com/devfile-registry/devfiles/java11-maven-lombok__lombok-project-sample/devworkspace-che-code-latest.yaml&storageType=per-user&url=https://github.com/devspaces-samples/lombok-project-sample/tree/devspaces-3.5-rhel-8
    che.eclipse.org/last-updated-timestamp: '2023-03-02T22:08:31.896Z'
    controller.devfile.io/stopped-by: inactivity
  resourceVersion: '41602254'
  name: java-lombok-nbhq
  uid: b7aeb7d6-d2c1-453a-b785-141402f23e02
  creationTimestamp: '2023-03-02T22:08:31Z'
  generation: 5
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/che-editor': {}
            'f:che.eclipse.org/devfile-source': {}
            'f:che.eclipse.org/last-updated-timestamp': {}
        'f:spec':
          .: {}
          'f:contributions': {}
          'f:routingClass': {}
          'f:template':
            .: {}
            'f:attributes':
              .: {}
              'f:controller.devfile.io/devworkspace-config':
                .: {}
                'f:name': {}
                'f:namespace': {}
              'f:controller.devfile.io/storage-type': {}
            'f:commands': {}
            'f:components': {}
            'f:projects': {}
      manager: unknown
      operation: Update
      time: '2023-03-02T22:08:31Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:message': {}
          'f:phase': {}
      manager: devworkspace-controller
      operation: Update
      time: '2023-03-02T23:15:03Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:controller.devfile.io/stopped-by': {}
        'f:spec':
          'f:started': {}
      manager: machine-exec
      operation: Update
      time: '2023-03-02T23:15:03Z'
  namespace: admin-devspaces
  finalizers:
    - storage.controller.devfile.io
    - rbac.controller.devfile.io
  labels:
    controller.devfile.io/creator: 971c5f96-3c05-403d-8e5e-1a569055921b
spec:
  contributions:
    - kubernetes:
        name: che-code-java-lombok
      name: editor
  routingClass: che
  started: false
  template:
    attributes:
      controller.devfile.io/devworkspace-config:
        name: devworkspace-config
        namespace: openshift-devspaces
      controller.devfile.io/storage-type: per-user
    commands:
      - exec:
          commandLine: mvn clean install
          component: tools
          group:
            isDefault: true
            kind: build
          workingDir: '${PROJECTS_ROOT}/lombok-project-sample'
        id: build
    components:
      - attributes:
          controller.devfile.io/merge-contribution: true
        container:
          endpoints:
            - exposure: none
              name: debug
              protocol: tcp
              targetPort: 5005
          env:
            - name: CHE_DASHBOARD_URL
              value: 'https://devspaces.apps.ds-airgap-v12.crw-qe.com'
            - name: CHE_PLUGIN_REGISTRY_URL
              value: >-
                https://devspaces.apps.ds-airgap-v12.crw-qe.com/plugin-registry/v3
            - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
              value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
            - name: OPENVSX_REGISTRY_URL
              value: ''
          image: >-
            ec2-3-129-39-237.us-east-2.compute.amazonaws.com:5000/devspaces/udi-rhel8@sha256:b5bce679581d79023180ed446f5fa6307639cf73202725bb4fda18c488dfc557
          memoryLimit: 3Gi
          sourceMapping: /projects
          volumeMounts:
            - name: m2
              path: /home/user/.m2
        name: tools
      - name: m2
        volume:
          size: 1G
    projects:
      - name: lombok-project-sample
        zip:
          location: >-
            http://devfile-registry.openshift-devspaces.svc:8080/resources/v2/lombok-project-sample.zip
status:
  conditions:
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      message: Workspace is stopped
      status: 'False'
      type: Started
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: DevWorkspaceResolved
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: StorageReady
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: RoutingReady
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: ServiceAccountReady
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: PullSecretsReady
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: DeploymentReady
    - lastTransitionTime: '2023-03-02T23:15:03Z'
      status: Unknown
      type: Ready
  devworkspaceId: workspaceb7aeb7d6d2c1453a
  mainUrl: >-
    https://devspaces.apps.ds-airgap-v12.crw-qe.com/workspaceb7aeb7d6d2c1453a/tools/3100/
  message: Stopped
  phase: Stopped
